Database
Database represents a Postgres database within a Branch.
Database object
Database represents a Postgres database within a Branch.
- namestringIDImmutable
The resource name of the database. Format: projects/{project_id}/branches/{branch_id}/databases/{database_id}
- parentstringOutput only
The branch containing this database. Format: projects/{project_id}/branches/{branch_id}
- create_timestringOutput only
A timestamp indicating when the database was created.
- update_timestringOutput only
A timestamp indicating when the database was last updated.
- specobject
The desired state of the Database.
Show child attributesHide child attributes
- rolestring
The name of the role that owns the database. Format: projects/{project_id}/branches/{branch_id}/roles/{role_id}
To change the owner, pass valid existing Role name when updating the Database
Required when creating the Database.
- postgres_databasestring
The name of the Postgres database.
This expects a valid Postgres identifier as specified in the link below. https://www.postgresql.org/docs/current/sql-syntax-lexical.html#SQL-SYNTAX-IDENTIFIERS Required when creating the Database.
To rename, pass a valid postgres identifier when updating the Database.
- statusobjectOutput only
The observed state of the Database.
Show child attributesHide child attributes
- rolestring
The name of the role that owns the database. Format: projects/{project_id}/branches/{branch_id}/roles/{role_id}
- postgres_databasestring
The name of the Postgres database.
- database_idstringOutput only
Part of the resource name.
- database_idstringOutput only
The part of the name, chosen by the user when the resource was created.
Get a Database GA
GET
Get a Database.
API scopes: postgres
Parameters
- namestringRequiredpath
The name of the Database to retrieve. Format: projects/{project_id}/branches/{branch_id}/databases/{database_id}
Response
Returns the Database object.
List postgres databases in a branch GA
GET
List Databases.
API scopes: postgres
Parameters
- parentstringRequiredpath
The Branch that owns this collection of databases. Format: projects/{project_id}/branches/{branch_id}
- page_tokenstringquery
Pagination token to go to the next page of Databases. Requests first page if absent.
- page_sizeint32query
Upper bound for items returned.
Response
Returns a list of Database objects.
Create a Database GA
POST
Create a Database.
Creates a database in the specified branch. A branch can have multiple databases.
API scopes: postgres
Parameters
- parentstringRequiredpath
The Branch where this Database will be created. Format: projects/{project_id}/branches/{branch_id}
- database_idstringquery
The ID used to identify and manage the Database resource through the API. The Postgres database name is specified in
spec.postgres_database.This value should be 4-63 characters, and only use characters available in DNS names, as defined by RFC-1123
If database_id is not specified in the request, it is generated automatically.
- replace_existingbooleanInput onlyquery
If true, update the database if it already exists instead of returning an error.
Request body
The desired specification of a Database.
- namestringIDImmutable
The resource name of the database. Format: projects/{project_id}/branches/{branch_id}/databases/{database_id}
- specobject
The desired state of the Database.
Show child attributesHide child attributes
- rolestringRequired
The name of the role that owns the database. Format: projects/{project_id}/branches/{branch_id}/roles/{role_id}
To change the owner, pass valid existing Role name when updating the Database
Required when creating the Database.
- postgres_databasestring
The name of the Postgres database.
This expects a valid Postgres identifier as specified in the link below. https://www.postgresql.org/docs/current/sql-syntax-lexical.html#SQL-SYNTAX-IDENTIFIERS Required when creating the Database.
To rename, pass a valid postgres identifier when updating the Database.
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Update a Database GA
PATCH
Update a Database.
API scopes: postgres
Parameters
- namestringRequiredIDImmutablepath
The resource name of the database. Format: projects/{project_id}/branches/{branch_id}/databases/{database_id}
- update_maskstringRequiredquery
The list of fields to update.
Request body
The Database to update.
The database's name field is used to identify the database to update.
Format: projects/{project_id}/branches/{branch_id}/databases/{database_id}
- specobject
The desired state of the Database.
Show child attributesHide child attributes
- rolestringRequired
The name of the role that owns the database. Format: projects/{project_id}/branches/{branch_id}/roles/{role_id}
To change the owner, pass valid existing Role name when updating the Database
Required when creating the Database.
- postgres_databasestring
The name of the Postgres database.
This expects a valid Postgres identifier as specified in the link below. https://www.postgresql.org/docs/current/sql-syntax-lexical.html#SQL-SYNTAX-IDENTIFIERS Required when creating the Database.
To rename, pass a valid postgres identifier when updating the Database.
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Delete a Database GA
DELETE
Delete a Database.
API scopes: postgres
Parameters
- namestringRequiredIDImmutablepath
The resource name of the postgres database. Format: projects/{project_id}/branches/{branch_id}/databases/{database_id}
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.